### Struct

# Clutter Knot

since: 13

#### Description [src]

    struct ClutterKnot {
      gint x;
      gint y;
    }

Point in a path behaviour.

###### Structure members

`x`

  X coordinate of the knot.

`y`

  Y coordinate of the knot.

Available since: 13

#### Instance methods

###### clutter_knot_copy

Makes an allocated copy of a knot.

since: 13

###### clutter_knot_equal

Compares to knot and checks if the point to the same location.

since: 13

###### clutter_knot_free

Frees the memory of an allocated knot.

since: 13